import wave, math, contextlib
from moviepy.editor import AudioFileClip

transcribed_audio_file_name = "audio.wav"


def convert_video_to_audio(video_file_name):
    path = "WordDetection/videos/" + video_file_name
    audio_clip = AudioFileClip(path)
    audio_clip.write_audiofile(transcribed_audio_file_name)
    with contextlib.closing(wave.open(transcribed_audio_file_name, 'r')) as f:
        frames = f.getnframes()
        rate = f.getframerate()
        duration = frames / float(rate)
    total_duration = math.ceil(duration / 60)
