import nltk
#
# nltk.download('punkt')
# nltk.download('wordnet')
from nltk import sent_tokenize, word_tokenize
from nltk.stem.snowball import SnowballStemmer
from nltk.stem.wordnet import WordNetLemmatizer
from nltk.corpus import stopwords
import pandas as pd
import numpy as np
import re
import spacy

from twitterscraper import query_tweets
from twitterscraper.query import query_all_tweets
import datetime as dt

# nlp = spacy.load('en-core-web-sm')

begin_date = dt.date(2020, 7, 1)
end_date = dt.date(2020, 7, 13)

limit = 100
lang = 'english'

# Use this to search a specific user

user = 'realDonaldTrump'
tweets = query_all_tweets(user)
df = pd.DataFrame(t.__dict__ for t in tweets)

df = df.loc[df['screen_name'] == user]

df = df['text']
print(df)
