from statsmodels.tsa.arima_model import ARIMAResults
import pandas as pd

df = pd.read_csv('data/new_data.csv', index_col='DATE', parse_dates=True)
df = df.dropna()

loaded = ARIMAResults.load('trained/Banking.pkl')
index_future_dates = pd.date_range(start='2018-12-30', end='2019-01-29')
# print(index_future_dates)
pred = loaded.predict(start=len(df), end=len(df) + 30, typ='levels').rename('ARIMA Predictions')
# print(comp_pred)
pred.index = index_future_dates
print(pred)